package com.qmth.boot.core.sms.service;

import com.qmth.boot.core.sms.api.SmsApiClient;
import com.qmth.boot.core.sms.model.SmsSendRequest;
import com.qmth.boot.core.sms.model.SmsSendResponse;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

@Service
public class SmsService {

    private SmsApiClient smsApiClient;

    public SmsService(SmsApiClient smsApiClient) {
        this.smsApiClient = smsApiClient;
    }

    /**
     * 发送普通短信
     *
     * @param request
     * @return
     */
    public SmsSendResponse sendSms(@Validated SmsSendRequest request) {
        return smsApiClient.sendSms(request);
    }
}
